"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var typescript_parser_1 = require("typescript-parser");
var getInternalImports_1 = require("./getInternalImports");
var groupAndCountImports_1 = require("./groupAndCountImports");
var getFiles_1 = require("./getFiles");
var output_1 = require("./output");
var parser = new typescript_parser_1.TypescriptParser();
function run(config) {
    var files = (0, getFiles_1.default)(config);
    if (files.length === 0) {
        console.error(" -- No Files to search -- ");
        return;
    }
    var baseUrl = (config === null || config === void 0 ? void 0 : config.baseUrl) || "./";
    parser.parseFiles(files, baseUrl).then(function (parsed) {
        var internalImports = (0, getInternalImports_1.default)(config, parsed);
        if (internalImports.length === 0) {
            console.error(" -- No Internal Imports found -- ");
            return [];
        }
        var groupedAndCounted = (0, groupAndCountImports_1.default)(config, files, internalImports);
        (0, output_1.default)(groupedAndCounted);
    });
}
exports.default = {
    run: run,
};
